Skip to main content
POST
/
v1
/
businesses
/
{businessId}
/
tasks
/
{taskId}
/
user-response
Submit task response
curl --request POST \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/tasks/{taskId}/user-response \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_response": "This is my response to the task."
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "ASSIGNED",
  "created_at": "2023-11-07T05:31:56Z",
  "effective_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to update

taskId
string
required

The UUID of the task to update

Body

application/json

Base schema for a user response in a business task, allowing for different types of responses.

user_response
string
required

The free text response provided by the user.

Example:

"This is my response to the task."

Response

id
string<uuid>
required
status
enum<string>
required
Available options:
ASSIGNED,
IN_PROGRESS,
COMPLETED,
CANCELLED
created_at
string<date-time>
required
effective_at
string<date-time>
required
updated_at
string<date-time>
required